petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGAMG

Geometric algebraic multigrid (AMG) preconditioner

### Options Database Keys

Multigrid options(inherited)

| -pc_mg_cycles <v>: v or w (PCMGSetCycleType()) | - . -pc_mg_smoothup <1>: Number of post-smoothing steps (PCMGSetNumberSmoothUp)
| -pc_mg_smoothdown <1>: Number of pre | - smoothing steps (PCMGSetNumberSmoothDown)
| -pc_mg_type <multiplicative>: (one of) additive multiplicative full kascade | -

Notes: In order to obtain good performance for PCGAMG for vector valued problems you must

          Call MatSetBlockSize() to indicate the number of degrees of freedom per grid point

          Call MatSetNearNullSpace() (or PCSetCoordinates() if solving the equations of elasticity) to indicate the near null space of the operator

          See the Users Manual Chapter 4 for more details

### See Also

PCCreate(), PCSetType(), MatSetBlockSize(), PCMGType, PCSetCoordinates(), MatSetNearNullSpace(), PCGAMGSetType(), PCGAMGAGG, PCGAMGGEO, PCGAMGCLASSICAL, PCGAMGSetProcEqLim(),
PCGAMGSetCoarseEqLim(), PCGAMGSetRepartitioning(), PCGAMGRegister(), PCGAMGSetReuseInterpolation(), PCGAMGSetUseASMAggs(), PCGAMGSetNlevels(), PCGAMGSetThreshold(), PCGAMGGetType()

Level:intermediate
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages